class DeviceTypeModel {
  final String name;
  final String icon;

  DeviceTypeModel({required this.name, required this.icon});

  // Factory method for creating a new DeviceTypeModel from JSON
  factory DeviceTypeModel.fromJson(Map<String, dynamic> json) {
    return DeviceTypeModel(
      name: json['name'],
      icon: json['icon'],
    );
  }

  // Convert this model to JSON format
  Map<String, dynamic> toJson() {
    return {
      'name': name,
      'icon': icon,
    };
  }
}
